SearchApi - interface

export
interface

  SearchApiInterface

### Hierarchy

- SearchApiInterface

### Implemented by

- SearchApi

## Index

### Methods

- searchById
- searchByIdRaw

## Methods

### searchById

- searchById(requestParameters: SearchByIdRequest, initOverrides?: RequestInit): Promise<object>

- - Defined in src/generated/apis/SearchApi.ts:43

  Search blocks, transactions, contracts, or accounts by hash/ID Search

  #### Parameters

  - ##### requestParameters: SearchByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### searchByIdRaw

- searchByIdRaw(requestParameters: SearchByIdRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- - Defined in src/generated/apis/SearchApi.ts:37

  Search blocks, transactions, contracts, or accounts by hash/ID

  summary

    Search

  throws

    {RequiredError}

  memberof

    SearchApiInterface

  #### Parameters

  - ##### requestParameters: SearchByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

Generated using TypeDoc